Fix modesetting slave output names

Bug #1636397 reported by Timo Aaltonen on 2016-10-25
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
xorg-server-lts-xenial (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned

Bug Description

[Impact]
Currently, NVIDIA and modesetting drivers are using same output names, that creates confusion for xrandr clients like gnome-setting-daemon or xrandr utility.

When modesetting outputs act as slave for other x-screen (like NVIDIA X-screen here), modesetting driver uses different scheme of output names to avoid kind of confusion we are seeing here. There is a bug in modesetting X-driver gets shipped with X-server, which disables slave output's name scheme.

From a reviewed upstream patch:

"Commit c7e8d4a6ee9542f56cd241cf7a960fb8223a6b22 had already
unifdef MODESETTING_OUTPUT_SLAVE_SUPPORT but commit
9257b1252da9092ddc676fec9aabe2b33dfad272 didn't notice that."

so we need to backport that to zesty/yakkety/xenial.

[Test Case]
Enable dGPU, test that output to DP works.

[Regression Potential]
There should be none, as this leftover was a simple mistake that shouldn't be there.

Timo Aaltonen (tjaalton) on 2016-10-25
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.18.4-1ubuntu7

---------------
xorg-server (2:1.18.4-1ubuntu7) zesty; urgency=medium

  * modesetting-unifdef-slave-support.diff: Fix modesetting slave output
    names. (LP: #1636397)

 -- Timo Aaltonen <email address hidden> Tue, 25 Oct 2016 10:48:45 +0300

Changed in xorg-server (Ubuntu):
status: New → Fix Released
tags: added: originate-from-1626412 somerville
Timo Aaltonen (tjaalton) on 2016-11-01
description: updated

Hello Timo, or anyone else affected,

Accepted xorg-server into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server/2:1.18.4-0ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Changed in xorg-server (Ubuntu Yakkety):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Timo, or anyone else affected,

Accepted xorg-server into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server/2:1.18.4-1ubuntu6.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

This seems to have caused a regression with the unity8 test:

http://autopkgtest.ubuntu.com/packages/u/unity8/xenial/i386

Could someone have a look at this?

Martin Pitt (pitti) wrote :

unity8 tests have always been brittle; the autopilot ones (which use X) succeeded, while the QML ones (which don't use X) didn't, so this appears unrelated.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.18.4-0ubuntu0.2

---------------
xorg-server (2:1.18.4-0ubuntu0.2) xenial; urgency=medium

  * modesetting-unifdef-slave-support.diff: Fix modesetting slave output
    names. (LP: #1636397)

 -- Timo Aaltonen <email address hidden> Tue, 01 Nov 2016 10:08:51 +0200

Changed in xorg-server (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for xorg-server has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server - 2:1.18.4-1ubuntu6.1

---------------
xorg-server (2:1.18.4-1ubuntu6.1) yakkety; urgency=medium

  * modesetting-unifdef-slave-support.diff: Fix modesetting slave output
    names. (LP: #1636397)

 -- Timo Aaltonen <email address hidden> Tue, 01 Nov 2016 10:06:42 +0200

Changed in xorg-server (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

yakkety has this, close HWE next task

Changed in hwe-next:
status: New → Fix Released

Hello Timo, or anyone else affected,

Accepted xorg-server-lts-xenial into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-lts-xenial/2:1.18.4-0ubuntu0.2~trusty1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Timo, or anyone else affected,

Accepted xorg-server-lts-xenial into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-lts-xenial/2:1.18.4-0ubuntu0.2~trusty2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xorg-server-lts-xenial (Ubuntu):
status: New → Invalid
Changed in xorg-server-lts-xenial (Ubuntu Xenial):
status: New → Invalid
Changed in xorg-server-lts-xenial (Ubuntu Yakkety):
status: New → Invalid
Changed in xorg-server-lts-xenial (Ubuntu Trusty):
status: New → Fix Committed
Changed in xorg-server (Ubuntu Trusty):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers